## gimppatterns

gimppatterns — Functions relating to patterns.

## Functions

gboolean | gimp_patterns_refresh ()
gchar ** | gimp_patterns_get_list ()
gchar * | gimp_patterns_get_pattern ()
gboolean | gimp_patterns_set_pattern ()
gchar * | gimp_patterns_get_pattern_data ()

## Description

Functions relating to patterns.

## Functions

### gimp_patterns_refresh ()

    gboolean
    gimp_patterns_refresh (void);

Refresh current patterns. This function always succeeds.

This procedure retrieves all patterns currently in the user's pattern path and updates all pattern dialogs accordingly.

#### Returns

TRUE on success.

### gimp_patterns_get_list ()

    gchar **
    gimp_patterns_get_list (const gchar *filter,
                            gint *num_patterns);

Retrieve a complete listing of the available patterns.

This procedure returns a complete listing of available GIMP patterns. Each name returned can be used as input to the `gimp_context_set_pattern()`.

#### Parameters

filter | An optional regular expression used to filter the list. |
num_patterns | The number of patterns in the pattern list. |

#### Returns

The list of pattern names. The returned value must be freed with `g_strfreev()`.

### gimp_patterns_get_pattern ()

    gchar *
    gimp_patterns_get_pattern (gint *width,
                               gint *height);

`gimp_patterns_get_pattern` is deprecated and should not be used in newly-written code.

Use `gimp_context_get_pattern()` instead.

#### Parameters

width | The pattern width. |
height | The pattern height. |

#### Returns

The pattern name.

### gimp_patterns_set_pattern ()

    gboolean
    gimp_patterns_set_pattern (const gchar *name);

`gimp_patterns_set_pattern` is deprecated and should not be used in newly-written code.

This procedure is deprecated! Use `gimp_context_set_pattern()` instead.

#### Parameters

name | The pattern name. |

#### Returns

TRUE on success.

### gimp_patterns_get_pattern_data ()

    gchar *
    gimp_patterns_get_pattern_data (const gchar *name,
                                    gint *width,
                                    gint *height,
                                    gint *mask_bpp,
                                    gint *length,
                                    guint8 **mask_data);

`gimp_patterns_get_pattern_data` is deprecated and should not be used in newly-written code.

Use `gimp_pattern_get_pixels()` instead.

#### Parameters

name | The pattern name (\"\" means currently active pattern). |
width | The pattern width. |
height | The pattern height. |
mask_bpp | Pattern bytes per pixel. |
length | Length of pattern mask data. |
mask_data | The pattern mask data. |

#### Returns

The pattern name.